#!/usr/bin/env python3

"""
ichor entrypoint
"""

from ichor import isa
from ichor.bootstrap import BOOTSTRAP, NOT1, TRUE
from ichor.interpreter import Interpreter


def main():
    vm = Interpreter(BOOTSTRAP)
    ret = vm.run(
        [isa.IDENTIFIERC(NOT1), isa.FUNREF(), isa.CALLF(1), isa.RETURN()],
        stack=[TRUE],
    )
    print(ret)


if __name__ == "__main__":
    main()
